Efreet.h File Reference

The file that must be included by any project wishing to use Efreet. More...

## Data Structures

struct | _Efreet_Version

## Macros

#define | EFREET_DEPRECATED_API EINA_DEPRECATED
#define | EAPI
#define | EFREET_VERSION_MAJOR EFL_VERSION_MAJOR
#define | EFREET_VERSION_MINOR EFL_VERSION_MINOR
#define | EAPI

## Typedefs

typedef struct _Efreet_Version | Efreet_Version
| Represents the current version of Efreet.

## Functions

EAPI int | efreet_init (void)
| Initializes the Efreet system.
EAPI int | efreet_shutdown (void)
| Shuts down Efreet if a balanced number of init/shutdown calls have been made.
EAPI void | efreet_lang_reset (void)
| Resets language dependent variables and resets language dependent caches This must be called whenever the locale is changed.
EAPI void | efreet_cache_disable (void)
| Disables connecting to efreet cache for this process.
EAPI void | efreet_cache_enable (void)
| Enables connecting to efreet cache for this process.

## Variables

EAPI Efreet_Version * | efreet_version

## Detailed Description

The file that must be included by any project wishing to use Efreet.

Efreet.h provides all of the necessary headers and includes to work with Efreet.

## Function Documentation

## efreet_init()

EAPI int efreet_init | ( | void |  | ) |

Initializes the Efreet system.

Returns
  Value > `0` if the initialization was successful, `0` otherwise.

References ecore_file_init(), ecore_file_shutdown(), ecore_init(), ecore_shutdown(), eet_init(), eet_shutdown(), eina_init(), and eina_shutdown().

Referenced by edje_init(), efreet_mime_init(), efreet_trash_init(), and elm_need_efreet().

## efreet_shutdown()

EAPI int efreet_shutdown | ( | void |  | ) |

Shuts down Efreet if a balanced number of init/shutdown calls have been made.

Returns
  The number of times the init function has been called minus the corresponding init call.

References ecore_file_shutdown(), ecore_shutdown(), eet_shutdown(), EINA_LOG_ERR, and eina_shutdown().

Referenced by edje_init(), efreet_mime_shutdown(), efreet_trash_shutdown(), and elm_need_efreet().

## efreet_lang_reset()

EAPI void efreet_lang_reset | ( | void |  | ) |

Resets language dependent variables and resets language dependent caches This must be called whenever the locale is changed.

Since
  1.7

## efreet_cache_disable()

EAPI void efreet_cache_disable | ( | void |  | ) |

Disables connecting to efreet cache for this process.

Since
  1.21

References ecore_ipc_server_del(), and EINA_TRUE.

## efreet_cache_enable()

EAPI void efreet_cache_enable | ( | void |  | ) |

Enables connecting to efreet cache for this process.

Since
  1.21

References EINA_FALSE.